{entity
	(include "/properties/car.ext")
	(include "/properties/shadow/tank.inc"  scale(1.0))
	(include "/properties/selection/vehicle.inc"  scale(1.1))
	{props "vehicle" "car" "truck" "wheeled" "with_doors" "fuel_tank"}
	{Props "emit_on_attack"}
	{TexMods
		{"ambush1" "1"}
		{"ambush2" "2"}
		{"ambush3" "3"}
		{"ambush4" "4"}
	}

	("crew_2_human")
	("board_animation"
		place(driver)
		board_begin(board_big-highcar_driver)
		board_end(seat_driver_car)
		base(doorleft)
	)
	("board_animation"
		place(commander)
		board_begin(board_big-highcar)
		board_end(seat_passenger)
		base(doorright)
	)

	("wheel" args "wheelright1")
	("wheel" args "wheelleft1")
	("wheel" args "wheelright2")
	("wheel" args "wheelleft2")
	("wheel" args "wheelright3")
	("wheel" args "wheelleft3")

	{Volume "bodyback"
		{thickness 2}
	}
	{mass 15000}
	{Chassis
		{Locomotion ("locomotion")}
	}
	{Extension "gmc-fuel.mdl"}
	
	(mod "mp"
		{extender "inventory"
			{box
				{clear}
				{item "barrel" filling "fuel" 50 {cell 0 0}}
				{item "barrel" filling "fuel" 50 {cell 2 0}}
				{item "barrel" filling "fuel" 50 {cell 4 0}}
				{item "barrel" filling "fuel" 50 {cell 6 0}}
			}
		}
	)


	
}
